# mongoc_apm_topology_changed_t

Topology-changed event

## Synopsis

An event notification sent when the driver observes a change in any of the servers it is connected to or a change in the overall server topology.

## See Also

Introduction to Application Performance Monitoring

## Functions

- mongoc_apm_topology_changed_get_context()
- mongoc_apm_topology_changed_get_new_description()
- mongoc_apm_topology_changed_get_previous_description()
- mongoc_apm_topology_changed_get_topology_id()